Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Updated /iOS/README.md

  • Loading branch information...
commit 7dc65eb36788f7cac64da78bb29a375aa4c4ffe7 1 parent 4e65f55
@RandyMcMillan RandyMcMillan authored
Showing with 16 additions and 3 deletions.
  1. +16 −3 iOS/README.md
View
19 iOS/README.md
@@ -1,15 +1,28 @@
-New iOS plugins should be submitted here. As existing iPhone/iOS plugins are patched and COMPLETELY abandon the PhoneGap naming convention they will be placed here. The present https://github.com/phonegap/phonegap-plugins/tree/master/iPhone should be preserved.
+New iOS plugins should be submitted here.
+
+As existing iPhone/iOS plugins are patched and COMPLETELY abandon the PhoneGap naming convention they will be placed here.
+
+The present https://github.com/phonegap/phonegap-plugins/tree/master/iPhone should be preserved for use with projects still using PhoneGap 1.4.1 and before.
* Added a ActionSheet (iOS) plugin with Cordova support.
* Added a AdPlugin (iOS) plugin with Cordova support.
+* Added a Badge (iOS) plugin with Cordova support.
* Added a BarCodeScanner (iOS) plugin with Cordova support.
* Added a ChildBrowser (iOS) plugin with Cordova support.
+* Added a DatePicker (iOS) plugin with Cordova support.
* Added a EmailComposer (iOS) plugin with Cordova support.
+* Added a NativeControls (iOS) plugin with Cordova support.
+* Added a PayPalPlugin (iOS) plugin with Cordova support.
+* Added a PrintPlugin (iOS) plugin with Cordova support.
+* Added a Twitter (iOS) plugin with Cordova support.
* Added a VolumeSlider (iOS) plugin with Cordova support.
+* More added regularly.
+
+Please refer to the Plugin Upgrade Guides distributed in the [download](http://phonegap.com/download/) for the most current version.
-Please refer to distributed Plugin Upgrade Guides for the most current version.
+**Cordova Plugin Upgrade Guide
+**
-Cordova Plugin Upgrade Guide
This document is for developers who need to upgrade their Cordova plugins to a newer Cordova version. Starting with Cordova 1.5.0, some classes have been renamed, which will require the plugin to be upgraded. Make sure your project itself has been upgraded using the "Cordova Upgrade Guide" document.
Upgrading older Cordova plugins to 1.5.0
Please sign in to comment.
Something went wrong with that request. Please try again.